## Apache Zeta Components Manual :: Docs For Class ezcGraphCoordinate

### Graph::ezcGraphCoordinate

### Class ezcGraphCoordinate

Represents coordinates in two dimensional catesian coordinate system.

Coordinates are used to represent the location of objects on the drawing plane. They are simple structs conatining the two coordinate values required in a two dimensional cartesian coordinate system. The class ezcGraphVector extends the Coordinate class and provides additional methods like rotations, simple arithmetic operations etc.

Source for this file: /Graph/src/structs/coordinate.php

    ezcBaseStruct
       |
       --ezcGraphCoordinate

Version: | //autogentag//

### Member Variables

public float | `$x = 0` x coordinate
public float | `$y = 0` y coordinate

Documentation generated by phpDocumentor 1.4.3